SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004579SOGoWeb Mailpublic2018-10-23 09:122018-11-06 09:32
Reporterwebtech 
Assigned Tofrancis 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0.2 
Target VersionFixed in Version4.0.5 
Summary0004579: Can't distinguish between Domain Addresses and Personal Addresses
DescriptionWhen composing a new email, the results shown when typing/searching for a user should somehow distinguish whether the search result hails from the Domain Address Book, or from my Personal Address Book. Or perhaps it should default to searching the Personal Address book first?
If you have a large Domain Address Book it's impossible to narrow down the user you want to send an email to
Steps To ReproduceCompose a new mail. Start typing a user's name.
Results from both Domain and Personal address books are returned, with no distinction
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0013142)
Christian Mack (developer)
2018-11-02 11:29

Do you want to be able to disable autocompletion fom global address book?
Or do you want to be able to see somehow, which address book delivers the shown address?
Or do you want to choose upfront, which address books should be searched( including your own ones)?
(0013150)
webtech (reporter)
2018-11-05 05:34

We'd like to see which address book delivers the shown address
(0013152)
webtech (reporter)
2018-11-05 06:34

Also, it would be good if addresses from personal address books were returned first, ahead of results from the global address book
User avatar (0013156)
francis (administrator)
2018-11-06 09:32

Will eventually add avatars too.

- Related Changesets
sogo: master 8822f1ae
Timestamp: 2018-11-06 09:30:10
Author: francis
Details ] Diff ]
(js,css) Show source addressbook of matching cards

Fixes 0004579
mod - NEWS Diff ] File ]
mod - UI/Templates/SchedulerUI/UIxAppointmentEditorTemplate.wox Diff ] File ]
mod - UI/WebServerResources/js/Common/Common.app.js Diff ] File ]
mod - UI/WebServerResources/js/Scheduler/Component.service.js Diff ] File ]
mod - UI/WebServerResources/scss/components/autocomplete/autocomplete.scss Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-23 09:12 webtech New Issue
2018-11-02 11:29 Christian Mack Note Added: 0013142
2018-11-02 11:29 Christian Mack Severity major => feature
2018-11-05 05:34 webtech Note Added: 0013150
2018-11-05 06:34 webtech Note Added: 0013152
2018-11-06 09:31 francis Changeset attached => sogo master 8822f1ae
2018-11-06 09:31 francis Assigned To => francis
2018-11-06 09:31 francis Resolution open => fixed
2018-11-06 09:32 francis Note Added: 0013156
2018-11-06 09:32 francis Status new => resolved
2018-11-06 09:32 francis Fixed in Version => 4.0.5


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker